#include "partition.h"
#include<bits/stdc++.h>
std::vector<int> solve(std::vector<int> A)
{
    long long N = A.size();
    std::vector<int> ans;
    ans.resize(N);
    for(int i = 1; i < N - 1; i++)
    {
        ans[i] = i;
    }
    ans[0] = N - 1;
    ans[N - 1] = 0;
    return ans;
}